الانتقال إلى المحتوى الرئيسي
POST
/
projects
/
{projectId}
/
exports
/
local
Prepare a local export payload
curl --request POST \
  --url https://api.youka.io/api/v1/projects/{projectId}/exports/local \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "resolution": "1080p",
  "quality": "average",
  "transparent": false,
  "stemVolumes": {},
  "playbackRate": 2.05,
  "toneFrequency": 1.005,
  "presetId": "<string>",
  "settingsOverride": {
    "displayLanguages": [
      "<string>"
    ]
  }
}
'
{
  "serveUrl": "<string>",
  "compositionId": "<string>",
  "compositionProps": {},
  "durationInSeconds": 123,
  "aspectRatio": "16:9",
  "resolution": "540p",
  "quality": "low",
  "transparent": true,
  "watermarked": true,
  "title": "<string>",
  "artists": [
    "<string>"
  ],
  "filename": "<string>"
}

التفويضات

Authorization
string
header
مطلوب

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

الترويسات

Idempotency-Key
string

معلمات المسار

projectId
string
مطلوب

الجسم

application/json
resolution
enum<string>
افتراضي:1080p
مطلوب
الخيارات المتاحة:
540p,
720p,
1080p
quality
enum<string>
افتراضي:average
مطلوب
الخيارات المتاحة:
low,
average,
high
transparent
boolean
افتراضي:false
مطلوب
stemVolumes
object
playbackRate
number
النطاق المطلوب: 0.1 <= x <= 4
toneFrequency
number
النطاق المطلوب: 0.01 <= x <= 2
presetId
string
settingsOverride
object

الاستجابة

200 - application/json

Resolved local export payload

serveUrl
string<uri>
مطلوب
compositionId
string
مطلوب
Minimum string length: 1
compositionProps
object
مطلوب
durationInSeconds
number
مطلوب
aspectRatio
enum<string>
مطلوب
الخيارات المتاحة:
16:9,
9:16,
4:3,
1:1
resolution
enum<string>
مطلوب
الخيارات المتاحة:
540p,
720p,
1080p
quality
enum<string>
مطلوب
الخيارات المتاحة:
low,
average,
high
transparent
boolean
مطلوب
watermarked
boolean
مطلوب
title
string
مطلوب
artists
string[]
مطلوب
filename
string
مطلوب
Minimum string length: 1